ApiCspArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiCspArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCspArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiCspArguments
      extends Object

  Arguments to upload CA certificates, client certificates and client key for CSP

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCspArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCspArguments` | `caCertContent(String caCertContent)`
    `ApiCspArguments` | `certContent(String certContent)`
    `boolean` | `equals(Object o)`
    `String` | `getCaCertContent()` The content of the public CA certificate.
    `String` | `getCertContent()` The content of the private client certificate.
    `String` | `getKeyContent()` The content of the private client key.
    `int` | `hashCode()`
    `ApiCspArguments` | `keyContent(String keyContent)`
    `void` | `setCaCertContent(String caCertContent)`
    `void` | `setCertContent(String certContent)`
    `void` | `setKeyContent(String keyContent)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCspArguments

          public ApiCspArguments()

  - ### Method Detail

    - #### caCertContent

          public ApiCspArguments caCertContent(String caCertContent)

    - #### getCaCertContent

          public String getCaCertContent()

      The content of the public CA certificate.
      Returns:
        caCertContent

    - #### setCaCertContent

          public void setCaCertContent(String caCertContent)

    - #### certContent

          public ApiCspArguments certContent(String certContent)

    - #### getCertContent

          public String getCertContent()

      The content of the private client certificate.
      Returns:
        certContent

    - #### setCertContent

          public void setCertContent(String certContent)

    - #### keyContent

          public ApiCspArguments keyContent(String keyContent)

    - #### getKeyContent

          public String getKeyContent()

      The content of the private client key.
      Returns:
        keyContent

    - #### setKeyContent

          public void setKeyContent(String keyContent)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.